### Hierarchy

- unknown
  - StartCheckingConnectionsRequest

## Index

### Constructors

- constructor

### Methods

- getRefreshPeriod
- serializeBinary
- setRefreshPeriod
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new StartCheckingConnectionsRequest(): StartCheckingConnectionsRequest

- Inherited from jspb.Message.constructor

  #### Returns StartCheckingConnectionsRequest

## Methods

### getRefreshPeriod

- getRefreshPeriod(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1056

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1059

  #### Returns Uint8Array

### setRefreshPeriod

- setRefreshPeriod(value: number): StartCheckingConnectionsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1057

  #### Parameters

  - ##### value: number

  #### Returns StartCheckingConnectionsRequest

### toObject

- toObject(includeInstance?: boolean): StartCheckingConnectionsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1060

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns StartCheckingConnectionsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): StartCheckingConnectionsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1063

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StartCheckingConnectionsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StartCheckingConnectionsRequest, reader: BinaryReader): StartCheckingConnectionsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1064

  #### Parameters

  - ##### message: StartCheckingConnectionsRequest

  - ##### reader: BinaryReader

  #### Returns StartCheckingConnectionsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: StartCheckingConnectionsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1062

  #### Parameters

  - ##### message: StartCheckingConnectionsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: StartCheckingConnectionsRequest ): StartCheckingConnectionsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1061

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StartCheckingConnectionsRequest

  #### Returns StartCheckingConnectionsRequest . AsObject

Generated using TypeDoc